# API Reference

To receive your API Token and access all other API capabilities please contact us [here](https://www.tread.fi/contact) .

### List of APIs

{% content-ref url="/pages/IXQVUM6LYBGCTRLOOyec" %}
[Core Order API](/interacting-with-the-api/api-reference/core-order-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/0T4gBbO52GLC70RUqH4o" %}
[Simple Orders (Market, Limit, IOC, Iceberg)](/interacting-with-the-api/api-reference/simple-orders-market-limit-ioc-iceberg.md)
{% endcontent-ref %}

{% content-ref url="/pages/9H0hzE2BC5CxNEiZoZLt" %}
[Algorithmic Orders (VWAP, TWAP, POV)](/interacting-with-the-api/api-reference/algorithmic-orders-vwap-twap-pov.md)
{% endcontent-ref %}

{% content-ref url="/pages/zo8DdY6t72GPleoR1gxJ" %}
[Multi Order](/interacting-with-the-api/api-reference/multi-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/Pf700hdtuv5mZxmSeUyD" %}
[Accounts](/interacting-with-the-api/api-reference/accounts.md)
{% endcontent-ref %}

{% content-ref url="/pages/iNQZo1oGWVGnsxBsjHyF" %}
[Admin and Risk Limit Management](/interacting-with-the-api/api-reference/admin-and-risk-limit-management.md)
{% endcontent-ref %}

### Non-Primitive Types

There are types referenced in the API docs which are enums and complex types (structures). They are characterized by their upper case naming. Refer to the [type reference page](/interacting-with-the-api/api-reference/type-reference.md) for more detail.

{% content-ref url="/pages/QpHhzPs4r1GCoQsxaAH2" %}
[Type Reference](/interacting-with-the-api/api-reference/type-reference.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tread.fi/interacting-with-the-api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
